DeepFellow API ReferenceAdministration
List project webhook endpoints
Return a list of webhook endpoints in the project.
Authorization[Bearer <token>]
In: header
Path Parameters
project_id[string]
The ID of the project.
Match
^[0-9a-fA-F]{24}$Query Parameters
limit?[integer]
A limit on the number of objects to be returned.
Default
100Range
1 <= value <= 200after?[string | null]
A cursor for use in pagination, the ID of the last item from a previous page.
Header Parameters
OpenAI-Organization?[string | null]
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
Response Body
curl -X GET "https://deepfellow-server-host/v1/organization/projects/5eb7cf5a86d9755df3a6c593/webhooks?limit=100&after=5eb7cf5a86d9755df3a6c593" \ -H "OpenAI-Organization: string"{
"object": "list",
"data": [
{
"id": "5eb7cf5a86d9755df3a6c593",
"object": "organization.project.webhook_endpoint",
"url": "string",
"events": [
"vector_store.file_batch.completed"
],
"created_at": 0
}
],
"first_id": "5eb7cf5a86d9755df3a6c593",
"last_id": "5eb7cf5a86d9755df3a6c593",
"has_more": false
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.